#include <iostream>
using namespace std;
int main()
{
   int number[15] = {1, 1, 0};
   int total;
   for(int i = 2; i < 30; i++)
   {
     number[i] = number[i - 1] + number[i - 2];
     cout << number[i] << endl;
   }
   return 0;
}
